# Uses of Enum Class
org.apache.lucene.index.MergePolicy.OneMergeProgress.PauseReason

Packages that use MergePolicy.OneMergeProgress.PauseReason
Package
Description
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of MergePolicy.OneMergeProgress.PauseReason in org.apache.lucene.index

  Methods in org.apache.lucene.index that return MergePolicy.OneMergeProgress.PauseReason
  Modifier and Type
  Method
  Description
  `static MergePolicy.OneMergeProgress.PauseReason`
  MergePolicy.OneMergeProgress.PauseReason.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MergePolicy.OneMergeProgress.PauseReason[]`
  MergePolicy.OneMergeProgress.PauseReason.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.lucene.index that return types with arguments of type MergePolicy.OneMergeProgress.PauseReason
  Modifier and Type
  Method
  Description
  `Map<MergePolicy.OneMergeProgress.PauseReason,Long>`
  MergePolicy.OneMergeProgress.`getPauseTimes()`
  Returns pause reasons and associated times in nanoseconds.
  Methods in org.apache.lucene.index with parameters of type MergePolicy.OneMergeProgress.PauseReason
  Modifier and Type
  Method
  Description
  `void`
  MergePolicy.OneMergeProgress.`pauseNanos(long pauseNanos, MergePolicy.OneMergeProgress.PauseReason reason, BooleanSupplier condition)`
  Pauses the calling thread for at least `pauseNanos` nanoseconds unless the merge is aborted or the external condition returns `false`, in which case control returns immediately.